aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2011-12-22 19:30:46 +0000
committerMike Frysinger <vapier@gentoo.org>2011-12-22 19:30:46 +0000
commite436cbd9649f3c61cc88b59452944a0df1c14436 (patch)
treebcab471501730a39e04f7d2396dc6b1aafc93004 /tests/install
parentignore generated files (diff)
downloadportage-utils-e436cbd9649f3c61cc88b59452944a0df1c14436.tar.gz
portage-utils-e436cbd9649f3c61cc88b59452944a0df1c14436.tar.bz2
portage-utils-e436cbd9649f3c61cc88b59452944a0df1c14436.zip
redo test output to get info on a per-test basis
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/dotest15
1 files changed, 10 insertions, 5 deletions
diff --git a/tests/install/dotest b/tests/install/dotest
index 63ce4827..0502a451 100755
--- a/tests/install/dotest
+++ b/tests/install/dotest
@@ -14,15 +14,20 @@ rm -f ${applets}
if ! ln -f `which q` ; then
skip "could not 'ln -f'"
fi
-./q -i || die "./q -i"
+f./q -i || die "./q -i"
for app in ${applets} ; do
- [ ! -e $app ] && die "$app does not exist"
- if [ "$app" != "q" ] ; then
+ if [ ! -e $app ] ; then
+ tfail "$app does not exist"
+ elif [ "$app" != "q" ] ; then
t=$(readlink $app)
- [ "$t" != "q" ] && die "$app target is not 'q', it is '$t'"
+ if [ "$t" != "q" ] ; then
+ tfail "$app target is not 'q', it is '$t'"
+ else
+ tpass "${app}"
+ fi
fi
done
rm ${applets}
-pass
+end